Last Comment Bug 376533 - uClibc strings/index and childiterator.index conficts
: uClibc strings/index and childiterator.index conficts
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla1.9.1a2
Assigned To: Oleg Romashin (:romaxa)
:
Mentors:
Depends on:
Blocks: 401821
  Show dependency treegraph
 
Reported: 2007-04-04 12:36 PDT by Oleg Romashin (:romaxa)
Modified: 2008-08-19 23:15 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Possible fix (775 bytes, patch)
2007-04-04 12:36 PDT, Oleg Romashin (:romaxa)
dbaron: review-
Details | Diff | Splinter Review
Comment #3 bugfix (1.88 KB, patch)
2008-01-17 14:34 PST, Oleg Romashin (:romaxa)
dbaron: review+
Details | Diff | Splinter Review
lowercase p fix (1.88 KB, patch)
2008-08-05 14:53 PDT, Oleg Romashin (:romaxa)
no flags Details | Diff | Splinter Review

Description Oleg Romashin (:romaxa) 2007-04-04 12:36:44 PDT
Created attachment 260622 [details] [diff] [review]
Possible fix

I'm not sure where it should be fixed in uClibc or in nsChildIterator or in proper  build config environment but,
uClibc/string*.h has
http://www.uclibc.org/cgi-bin/viewcvs.cgi/trunk/uClibc/include/
index(..,..) function, and it conflicts with childiterator.index() function

May be we can undefine uclibc define in childiterator header in uClibc build?

+#ifdef __UCLIBC__
+#undef index
+#endif
+
Comment 1 Boris Zbarsky [:bz] 2007-04-04 12:39:35 PDT
I don't know when I'll be able to get to this.  It will definitely be weeks.

You may want to look for another reviewer.
Comment 2 Boris Zbarsky [:bz] 2007-04-11 18:57:30 PDT
Comment on attachment 260622 [details] [diff] [review]
Possible fix

I really won't be able to review this in any sort of sane timeframe.  Please ask someone else.
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2007-05-04 18:43:09 PDT
Comment on attachment 260622 [details] [diff] [review]
Possible fix

This is ugly.  Could you just rename index to position instead?
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2007-05-04 18:44:00 PDT
r+sr=dbaron on the patch to rename (there's only one caller), for what it's worth.
Comment 5 timeless 2007-07-02 04:46:38 PDT
why not just add a configure check or something which undefs:
__UCLIBC_SUSV3_LEGACY__
__UCLIBC_SUSV3_LEGACY_MACROS__
Comment 6 Reed Loden [:reed] (use needinfo?) 2008-01-14 00:00:04 PST
romaxa, can we get an updated comment to address comment #4 if this is still an issue?
Comment 7 Oleg Romashin (:romaxa) 2008-01-17 14:34:53 PST
Created attachment 297628 [details] [diff] [review]
Comment #3 bugfix
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-08-05 12:40:44 PDT
Comment on attachment 297628 [details] [diff] [review]
Comment #3 bugfix

r=dbaron if you use a lowercase p instead of uppercase, to follow the style around it.
Comment 9 Oleg Romashin (:romaxa) 2008-08-05 14:53:00 PDT
Created attachment 332426 [details] [diff] [review]
lowercase p fix
Comment 10 Reed Loden [:reed] (use needinfo?) 2008-08-19 23:15:57 PDT
Pushed as 17132:e44f43f9aca0.

Note You need to log in before you can comment on or make changes to this bug.